/* Copyright (C) 2024 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergei Zharko [committer] */

/// @file   KfTarget.cxx
/// @brief  A target layer in the KF-setup (implementation)
/// @since  19.07.2024
/// @author Sergei Zharko <s.zharko@gsi.de>

#include "KfTarget.h"

using cbm::algo::kf::GeoLayer;
using cbm::algo::kf::MaterialMap;
using cbm::algo::kf::Target;

// ---------------------------------------------------------------------------------------------------------------------
//
Target::Target(kf::MaterialMap&& materialMap, float x, float y, float z)
  : GeoLayer(std::move(materialMap))
  , fX(x)
  , fY(y)
  , fZ(z)
{
}
